<?php

namespace App\Modules\DefinedService\TypeDefinedService\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class TypeDefinedServiceStatus extends EnumValueObject
{

    public const DELETED = 0;
    public const INACTIVE = 1;
    public const ACTIVE = 2;

    public static function values(): array
    {
        return [self::DELETED, self::INACTIVE, self::ACTIVE];
    }

    public static function defaultValue()
    {
        return new self(self::ACTIVE);
    }

    public static function deletedValue()
    {
        return new self(self::DELETED);
    }

    public static function validValues(): array
    {
        return [self::INACTIVE, self::ACTIVE];
    }
}
